import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { InsuranceCredentialSelectObjectSchema as InsuranceCredentialSelectObjectSchema } from './InsuranceCredentialSelect.schema';
import { InsuranceCredentialIncludeObjectSchema as InsuranceCredentialIncludeObjectSchema } from './InsuranceCredentialInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => InsuranceCredentialSelectObjectSchema).optional(),
  include: z.lazy(() => InsuranceCredentialIncludeObjectSchema).optional()
}).strict();
export const InsuranceCredentialArgsObjectSchema = makeSchema();
export const InsuranceCredentialArgsObjectZodSchema = makeSchema();
